<?xml version="1.0" encoding="utf-8"?>

<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <android.support.design.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/bottom_nav_lyt">

        <android.support.design.widget.AppBarLayout
            android:id="@+id/id_appbar"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:fitsSystemWindows="true">

            <include
                android:id="@+id/toolbar_actionbar"
                layout="@layout/toolbar_seperator"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_scrollFlags="scroll|enterAlways" />

        </android.support.design.widget.AppBarLayout>


        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:layout_behavior="@string/appbar_scrolling_view_behavior">

            <FrameLayout
                android:id="@+id/home_container"
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:fitsSystemWindows="true" />

        </RelativeLayout>

    </android.support.design.widget.CoordinatorLayout>

    <LinearLayout
        android:id="@+id/bottom_nav_lyt"
        android:layout_width="match_parent"
        android:layout_height="@dimen/bottom_bar_height"
        android:layout_alignParentBottom="true"
        android:background="@drawable/bottom_bg"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:weightSum="2">

        <RelativeLayout
            android:id="@+id/icon_home_lyt"
            android:layout_width="fill_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:foreground="?attr/selectableItemBackgroundBorderless"
            android:gravity="center_vertical">

            <ImageView
                android:id="@+id/home_icon"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="@dimen/margin_5dp"
                android:src="@drawable/ic_home_48" />

            <View
                android:layout_width="1dp"
                android:layout_height="match_parent"
                android:layout_alignParentEnd="true"
                android:layout_alignParentRight="true"
                android:background="@color/light_gray" />

            <com.example.android.turvosample.widget.LatoTextView
                android:id="@+id/home_txt"
                fontType="robotoRegular"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/home_icon"
                android:layout_centerHorizontal="true"
                android:text="Home"
                android:textColor="@color/colorAccent"
                android:textSize="12sp"
                app:latoFontType="latotoRegular" />

        </RelativeLayout>

        <RelativeLayout
            android:id="@+id/icon_map_lyt"
            android:layout_width="fill_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:foreground="?attr/selectableItemBackgroundBorderless">

            <ImageView
                android:id="@+id/map_icon"
                android:layout_width="24dp"
                android:layout_height="24dp"
                android:layout_centerHorizontal="true"
                android:layout_marginTop="@dimen/margin_5dp"
                android:src="@drawable/ic_marker_gray_48" />

            <com.example.android.turvosample.widget.LatoTextView
                android:id="@+id/map_text"
                fontType="robotoRegular"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_below="@+id/map_icon"
                android:layout_centerHorizontal="true"
                android:text="Map"
                android:textColor="@color/greyPrimaryDark"
                android:textSize="12sp"
                app:latoFontType="latotoRegular" />

        </RelativeLayout>

    </LinearLayout>

</RelativeLayout>

